#include <Wire.h>
#include <Adafruit_GFX.h>
#include <Adafruit_SH1106.h>
// tworzymy  obiekt wyświetlacza o nazwie: wysw
#define OLED_RESET 4
Adafruit_SH1106 wysw(OLED_RESET);

#if (SH1106_LCDHEIGHT != 64)
#error("Height incorrect, please fix Adafruit_SH1106.h!");
#endif

void setup()   {
  wysw.begin(SH1106_SWITCHCAPVCC, 0x3C);  // inicjalizacja
  wysw.cp437(true);  //prawdziwa strona CP437
  // wysw.cp437(1);  //to samo inaczej
  // pokaż ekran powitalny - logo Adafruit przez 1 sekundę:
  wysw.display();   delay(1000);
  wysw.clearDisplay(); //czyść ekran
  wysw.setCursor(0, 0); //kursor w punkcie "zerowym"
  wysw.setTextColor(1, 0);
  wysw.setTextSize(1);
  wysw.print("a");  //size_x=size_y = 1
  wysw.setTextSize(2); //zmien wielkość
  wysw.print("a");  //size_x=size_y = 2
  wysw.setTextSize(3); //zmien wielkość
  wysw.print("a");  //size_x=size_y = 3
  wysw.setTextSize(4); //zmien wielkość
  wysw.print("a");  //size_x=size_y = 4
  wysw.setTextSize(5); //zmien wielkość
  wysw.print("a");  //size_x=size_y = 6
  wysw.setTextSize(6); //zmien wielkość
  wysw.print("a");  //size_x=size_y = 6
  wysw.display(); //teraz wyświetl na ekranie
}
void loop() { } //pusta pętla - kręć się w kółko...
